| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC570A.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2440: 24-Bit, Differential Delta Sigma ADCs with Selectable Speed/Resolution

Linear Technology DC570A Demonstration Board. More...

## Detailed Description

Linear Technology DC570A Demonstration Board.

LTC2440: 24-Bit, Differential Delta Sigma ADCs with Selectable Speed/Resolution

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator. Equipment
       required is a precision voltage source and a precision voltmeter. Additionally,
       an external power supply is required to provide a negative voltage for Amp V-.
       Set it to anywhere from -1V to -5V. Set Amp V+ to Vcc. Ensure the COM and REF-
       pins are connected to ground. The REF+ pin should be connected to +5V.

      How to test Differential Mode:
       The voltage source should be connected with positive and negative leads to paired
       channels. The voltage source negative output must also be connected to the COM
       pin in order to provide a ground-referenced voltage. Ensure voltage is within
       analog input voltage range -0.3V to +2.5V. Swapping input voltages results in a
       reversed polarity reading.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2440

http://www.linear.com/product/LTC2440#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC570A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_user_command (uint8_t menu)
static void | menu_1_read_differential ()
| Read channels in differential mode. More...
static void | menu_2_set_OSR ()
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | menu_set_OSR ()
| Set the OSR. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static int16_t | OSR_mode = LTC2440_OSR_32768
| The LTC2440 OSR mode settings. More...
static float | LTC2440_vref = 5.0

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 123 of file DC570A.ino.

## ◆ menu_1_read_differential()

static void menu_1_read_differential | ( |  | ) |
| static

Read channels in differential mode.

Definition at line 178 of file DC570A.ino.

## ◆ menu_2_set_OSR()

static void menu_2_set_OSR | ( |  | ) |
| static

## ◆ menu_set_OSR()

static void menu_set_OSR | ( |  | ) |
| static

Set the OSR.

Definition at line 212 of file DC570A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 169 of file DC570A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 154 of file DC570A.ino.

## ◆ print_user_command()

static void print_user_command | ( | uint8_t | menu | ) |
| static

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 100 of file DC570A.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 95 of file DC570A.ino.

## ◆ LTC2440_vref

float LTC2440_vref = 5.0
| static

Definition at line 97 of file DC570A.ino.

## ◆ OSR_mode

int16_t OSR_mode = LTC2440_OSR_32768
| static

The LTC2440 OSR mode settings.

Definition at line 96 of file DC570A.ino.